com.amazonaws.services.cloudfront.model

## Class StreamingDistribution

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.StreamingDistribution

All Implemented Interfaces:
  Serializable, Cloneable

    public class StreamingDistribution
    extends Object
    implements Serializable, Cloneable

A streaming distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StreamingDistribution()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamingDistribution` `clone()`
`boolean` `equals(Object obj)`
`ActiveTrustedSigners` `getActiveTrustedSigners()` A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution.
`String` `getARN()`
`String` `getDomainName()` The domain name that corresponds to the streaming distribution.
`String` `getId()` The identifier for the RTMP distribution.
`Date` `getLastModifiedTime()` The date and time that the distribution was last modified.
`String` `getStatus()` The current status of the RTMP distribution.
`StreamingDistributionConfig` `getStreamingDistributionConfig()` The current configuration information for the RTMP distribution.
`int` `hashCode()`
`void` `setActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)` A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution.
`void` `setARN(String aRN)`
`void` `setDomainName(String domainName)` The domain name that corresponds to the streaming distribution.
`void` `setId(String id)` The identifier for the RTMP distribution.
`void` `setLastModifiedTime(Date lastModifiedTime)` The date and time that the distribution was last modified.
`void` `setStatus(String status)` The current status of the RTMP distribution.
`void` `setStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)` The current configuration information for the RTMP distribution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StreamingDistribution` `withActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)` A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution.
`StreamingDistribution` `withARN(String aRN)`
`StreamingDistribution` `withDomainName(String domainName)` The domain name that corresponds to the streaming distribution.
`StreamingDistribution` `withId(String id)` The identifier for the RTMP distribution.
`StreamingDistribution` `withLastModifiedTime(Date lastModifiedTime)` The date and time that the distribution was last modified.
`StreamingDistribution` `withStatus(String status)` The current status of the RTMP distribution.
`StreamingDistribution` `withStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)` The current configuration information for the RTMP distribution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamingDistribution

    public StreamingDistribution()

### Method Detail

#### setId

    public void setId(String id)

The identifier for the RTMP distribution. For example: `EGTXBD79EXAMPLE`.

Parameters:
  `id` - The identifier for the RTMP distribution. For example: `EGTXBD79EXAMPLE`.

#### getId

    public String getId()

The identifier for the RTMP distribution. For example: `EGTXBD79EXAMPLE`.

Returns:
  The identifier for the RTMP distribution. For example: `EGTXBD79EXAMPLE`.

#### withId

    public StreamingDistribution withId(String id)

The identifier for the RTMP distribution. For example: `EGTXBD79EXAMPLE`.

Parameters:
  `id` - The identifier for the RTMP distribution. For example: `EGTXBD79EXAMPLE`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setARN

    public void setARN(String aRN)

Parameters:
  `aRN` -

#### getARN

    public String getARN()

Returns:

#### withARN

    public StreamingDistribution withARN(String aRN)

Parameters:
  `aRN` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current status of the RTMP distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

Parameters:
  `status` - The current status of the RTMP distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

#### getStatus

    public String getStatus()

The current status of the RTMP distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

Returns:
  The current status of the RTMP distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

#### withStatus

    public StreamingDistribution withStatus(String status)

The current status of the RTMP distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

Parameters:
  `status` - The current status of the RTMP distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModifiedTime

    public void setLastModifiedTime(Date lastModifiedTime)

The date and time that the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time that the distribution was last modified.

#### getLastModifiedTime

    public Date getLastModifiedTime()

The date and time that the distribution was last modified.

Returns:
  The date and time that the distribution was last modified.

#### withLastModifiedTime

    public StreamingDistribution withLastModifiedTime(Date lastModifiedTime)

The date and time that the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time that the distribution was last modified.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDomainName

    public void setDomainName(String domainName)

The domain name that corresponds to the streaming distribution. For example: `s5c39gqb8ow64r.cloudfront.net`.

Parameters:
  `domainName` - The domain name that corresponds to the streaming distribution. For example: `s5c39gqb8ow64r.cloudfront.net`.

#### getDomainName

    public String getDomainName()

The domain name that corresponds to the streaming distribution. For example: `s5c39gqb8ow64r.cloudfront.net`.

Returns:
  The domain name that corresponds to the streaming distribution. For example: `s5c39gqb8ow64r.cloudfront.net`.

#### withDomainName

    public StreamingDistribution withDomainName(String domainName)

The domain name that corresponds to the streaming distribution. For example: `s5c39gqb8ow64r.cloudfront.net`.

Parameters:
  `domainName` - The domain name that corresponds to the streaming distribution. For example: `s5c39gqb8ow64r.cloudfront.net`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActiveTrustedSigners

    public void setActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)

A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Parameters:
  `activeTrustedSigners` - A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

  The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

  For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

#### getActiveTrustedSigners

    public ActiveTrustedSigners getActiveTrustedSigners()

A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Returns:
  A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

  The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

  For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

#### withActiveTrustedSigners

    public StreamingDistribution withActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)

A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Parameters:
  `activeTrustedSigners` - A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

  The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

  For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStreamingDistributionConfig

    public void setStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)

The current configuration information for the RTMP distribution.

Parameters:
  `streamingDistributionConfig` - The current configuration information for the RTMP distribution.

#### getStreamingDistributionConfig

    public StreamingDistributionConfig getStreamingDistributionConfig()

The current configuration information for the RTMP distribution.

Returns:
  The current configuration information for the RTMP distribution.

#### withStreamingDistributionConfig

    public StreamingDistribution withStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)

The current configuration information for the RTMP distribution.

Parameters:
  `streamingDistributionConfig` - The current configuration information for the RTMP distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StreamingDistribution clone()

Overrides:
  `clone` in class `Object`